function B = regrid_lidar(alt,A,new_alt,varargin)
% This function will regrid the matrix A defined by the (Nx1) vector 'alt'
% onto the new grid (Jx1) 'new_alt'.
% The assumption is that the horizontal dimension changes column by
% column, and altitude is stored row by row (e.g. row x col == alt x (dist
% or time).

sz = size(A);
B = zeros(length(new_alt),sz(2));


optargin=size(varargin,2);
if optargin == 1,
    for i=1:sz(2),
        B(:,i)=interp1(alt,A(:,i),new_alt,varargin{1});
    end
else 
    for i=1:sz(2),
        B(:,i)=interp1(alt,A(:,i),new_alt);
    end
end